package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;

/**
 * A DTO for the TBHarvest entity.
 */
public class TBHarvestListItemDTO implements Serializable {

    private Long id;

    private Long activityId;

    private Long cropId;

    private String seedName;

    private Double totalQuantity;

    private Double totalInStock;

    private Instant executeDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getTotalQuantity() {
        return totalQuantity;
    }

    public void setTotalQuantity(Double totalQuantity) {
        this.totalQuantity = totalQuantity;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long tBActivityId) {
        this.activityId = tBActivityId;
    }

    public Long getCropId() {
        return cropId;
    }

    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }

    public String getSeedName() {
        return seedName;
    }

    public void setSeedName(String seedName) {
        this.seedName = seedName;
    }

    public Double getTotalInStock() {
        return totalInStock;
    }

    public void setTotalInStock(Double totalInStock) {
        this.totalInStock = totalInStock;
    }

    public Instant getExecuteDate() {
        return executeDate;
    }

    public void setExecuteDate(Instant executeDate) {
        this.executeDate = executeDate;
    }
}
